Package groovy.util

# Class ObservableList.ElementRemovedEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableList.ElementEvent
groovy.util.ObservableList.ElementRemovedEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ObservableList`

public static class ObservableList.ElementRemovedEvent extends ObservableList.ElementEvent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ElementRemovedEvent(Object source, Object value, int index)`

## Method Summary

### Methods inherited from class groovy.util.ObservableList.ElementEvent

`getChangeType, getIndex, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ElementRemovedEvent

public ElementRemovedEvent(Object source, Object value, int index)